body{
	background-color : pink;
	overflow: hidden;
	font-size: 0px;
	

}

@media screen and (min-width: 500px) {
    body {
        background-color: #d5d2d2;
    }
}

/* le fond est rose mais passe en gris si la taille de l'écran est supérieur à 480px */

section > *{
	font-size: initial;
}

section {

	width : 70%;
	min-width: 500px;
	margin: auto;
	background-color: #f5f5f5;
	border-radius: 10px;
	margin-bottom: 2px;
}


form { 
	display : block;
	margin-bottom: 35px;
}

input {

	display: inline-block;
	width : 44.657%;
	border-radius: 5px;
}

input, button  {
	box-sizing: border-box;
	margin : 2.5%;
	display : inline-block;
}
/*le box sizing permet d'avoir la même largeur sur plusieurs box (contain + padding + border) en jouant sur le padding*/


button  {
	width: 19.483%;
	padding: 10px 2.5%;
	border-radius: 10%;
	margin-bottom: 3%;
}


output {
	display : inline-block;
	width : 90%;
	margin-left : 5%;
	padding : 5px 0px;
	border : 1px solid black;
	border-radius : 5px;
	background-color: white;
	height : 8em;
	line-height: 8em;
	text-align: center;
}
/*par principe le output est invisible*/

/*
pb : il y a un espace entre 2 éléments;
le caractère espace prend un pixel, il matérialise un espace. 
on met le font-size à 0 pixel.
font-size est une propriété qui s'herite et tout ceux qui sont en dessous l'hérite et ont une font size de 0. et l'espace prends 0px
une 2eme regle css : et dire que tous les éléments directement contenu dans la section n'hérite plus; * signifie tous les éléments. 
initial permet de ne plus hérité.
inherit : faire heriteé des valeurs qui ne sont pas censé être hérité comme la margin ;
initial : qui permet de ne plus hérité et revvient à la valeur initial qui normalement aurait du s'hérité ;

article.wrapper >* 
font size initial
toutes les balises auront une balise normales 
*/


